FormsSetup (JGoodies Forms 1.9 API)
Date: 2015-02-02

com.jgoodies.forms

## Class FormsSetup

- java.lang.Object
- - com.jgoodies.forms.FormsSetup

-     public class FormsSetup
      extends Object

  Provides access to global Forms settings.
  Since:
    1.8
  Version:
    $Revision: 1.21 $
  Author:
    Karsten Lentzsch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentFactory` | `getComponentFactoryDefault()` Returns the factory that is used as default for new builder's as they are created.
    `static boolean` | `getDebugToolTipsEnabledDefault()` Returns whether the debug tool tips are enabled or not.
    `static boolean` | `getLabelForFeatureEnabledDefault()` Returns the global default for the enablement of the setLabelFor feature.
    `static boolean` | `getOpaqueDefault()`
    `static void` | `setComponentFactoryDefault(ComponentFactory factory)` Sets the global default that is used to initialize the per-instance component factory.
    `static void` | `setDebugToolTipsEnabled(boolean b)` Enables or disables the debug tool tips.
    `static void` | `setLabelForFeatureEnabledDefault(boolean b)` Sets the default value for the setLabelFor feature enablement.
    `static void` | `setOpaqueDefault(boolean b)` Sets the global default value for a builder's opaque state that can be overridden per builder.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getComponentFactoryDefault

          public static ComponentFactory getComponentFactoryDefault()

      Returns the factory that is used as default for new builder's as they are created. This default itself is lazily initialized as the `DefaultComponentFactory`.
      Returns:
        the factory that is used as default for new builder instances

    - #### setComponentFactoryDefault

          public static void setComponentFactoryDefault(ComponentFactory factory)

      Sets the global default that is used to initialize the per-instance component factory.
      Parameters:
        `factory` - the factory to be used for all new builder instances that do not override the default

    - #### getLabelForFeatureEnabledDefault

          public static boolean getLabelForFeatureEnabledDefault()

      Returns the global default for the enablement of the setLabelFor feature. This can be overridden per builder - where applicable - using `#labelForFeatureEnabled(boolean)`. The feature is globally disabled by default.
      Returns:
        true for globally enabled, false for globally disabled

    - #### setLabelForFeatureEnabledDefault

          public static void setLabelForFeatureEnabledDefault(boolean b)

      Sets the default value for the setLabelFor feature enablement. This can be overridden per builder - where applicable - using `#labelForFeatureEnabled(boolean)`. The default value is used to set the initial PanelBuilder setting for this feature. The feature is globally disabled by default.
      Parameters:
        `b` - true for globally enabled, false for globally disabled

    - #### getOpaqueDefault

          public static boolean getOpaqueDefault()

      Returns:
        the global default value for a builder's opaque state that can be overridden per builder

    - #### setOpaqueDefault

          public static void setOpaqueDefault(boolean b)

      Sets the global default value for a builder's opaque state that can be overridden per builder. Since the Forms 1.6, the default value is `false`, in other words, panels will not be opaque.
      Parameters:
        `b` - the new value

    - #### getDebugToolTipsEnabledDefault

          public static boolean getDebugToolTipsEnabledDefault()

      Returns whether the debug tool tips are enabled or not.
      Returns:
        true if debug tool tips are enabled, false if disabled

    - #### setDebugToolTipsEnabled

          public static void setDebugToolTipsEnabled(boolean b)

      Enables or disables the debug tool tips.
      Parameters:
        `b` - true to enable, false to disable

Copyright © 2002-2015 JGoodies Software GmbH. All Rights Reserved.